#include<bits/stdc++.h>
using namespace std;
ifstream fi("BAI3_18.inp");
ofstream fo("BAI3_18.out");
int main(){
  string s,t;
  int k;
  fi>>k>>s;
  t=s.substr(s.length()-k,k);
  s.erase(s.length()-k,k);
  s=t+s;
  fo<<s;
}
